Skala
Stock level notifications

Replace a stock level notification

Completely replaces the data of an existing stock level notification with the provided payload.

PUT
/api/stock_level_notifications/{id}

Completely replaces the data of an existing stock level notification with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockLevelNotification identifier

Request Body

application/json

The updated StockLevelNotification resource

TypeScript Definitions

Use the request body type in TypeScript.

isRead?boolean

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_level_notifications/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "stock": {
    "id": 0,
    "unit": {
      "id": 0,
      "name": "string"
    },
    "type": "string"
  },
  "stockVariant": {
    "id": 0,
    "code": "string",
    "name": "string"
  },
  "isRead": true,
  "stockQuantity": {
    "id": 0,
    "amount": "string"
  },
  "optimalBufferStock": "string",
  "reorderPoint": "string",
  "requiredAmount": "string",
  "supplier": {
    "id": 0,
    "name": "string"
  }
}
Empty
Empty
Empty